com.dlsc.flexgantt.swing

## Enum SortingEvent.ID

- java.lang.Object
- - java.lang.Enum<SortingEvent.ID>
  - - com.dlsc.flexgantt.swing.SortingEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<SortingEvent.ID>
  Enclosing class:
    SortingEvent

      public static enum SortingEvent.ID
      extends Enum<SortingEvent.ID>

  An enumerator used to distinguish between different types of sorting events.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SORTING_FINISHED` An ID value used to indicate that a sort operation has finished on the Gantt chart (its tree tables).
    `SORTING_STARTED` An ID value used to indicate that a sort operation has started on the Gantt chart (its tree tables).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortingEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SortingEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SORTING_STARTED

          public static final SortingEvent.ID SORTING_STARTED

      An ID value used to indicate that a sort operation has started on the Gantt chart (its tree tables).
      Since:
        1.0

    - #### SORTING_FINISHED

          public static final SortingEvent.ID SORTING_FINISHED

      An ID value used to indicate that a sort operation has finished on the Gantt chart (its tree tables).
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static SortingEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortingEvent.ID c : SortingEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortingEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.